Bug 284511 - (CVE-2007-4727) CVE-2007-4727 FastCGI header overrun in lighttpd's mod_fastcgi
CVE-2007-4727 FastCGI header overrun in lighttpd's mod_fastcgi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lighttpd (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
http://secweb.se/en/advisories/lightt...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 08:18 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.4.18-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 12:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-10 08:18:37 EDT
Description of problem:

New 1.4.18 release of lighttpd fixes an arbitrary code execution flaw in
lighttpd's header parsing code. Please update the package.

Additional info:

http://secweb.se/en/advisories/lighttpd-fastcgi-remote-vulnerability/
http://www.lighttpd.net/assets/2007/9/9/lighttpd_sa_2007_12.txt
Comment 1 Matthias Saou 2007-09-10 11:01:29 EDT
I'm working on updated packages for all current releases.
Comment 3 Fedora Update System 2007-09-12 12:43:06 EDT
lighttpd-1.4.18-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.